@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@500&display=swap');

* {
    margin: 0;
    padding: 0;
    font-family: 'Poppins', sans-serif;
}

body {
    display: flex;
    justify-content: center;
    align-items: center;
    background-image: linear-gradient(120deg, #a1c4fd 0%, #c2e9fb 100%);
    background-repeat: no-repeat;
    background-size: cover;
    background-attachment: fixed;
    height: 100vh;
}

.container {
    display: flex;
    justify-content: center;
    width: 500px;
    height: 670px;
    border-radius: 10px;
    border: 2px solid rgb(20, 20, 220);
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
}

.landing-page, .game-container, .leaderboard-container {
    display: flex;
    flex-direction: column;
    align-items: center;

}

.landing-page img {
    width: 100px;
    margin-top: 100px;
}

.landing-page h1 {
    text-align: center;
    font-size: 45px;
    font-weight: bold;
    margin: 20px 20px;
}

.landing-page button {
    font-size: 25px;
    padding: 5px;
    height: 50px;
    width: 300px;
    border: none;
    border-radius: 10px;
    background-image: radial-gradient(circle 248px at center, #16d9e3 0%, #30c7ec 47%, #46aef7 100%);
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
    margin: 20px;
    cursor: pointer;
}

.landing-page button:hover {
    font-size: 27px;
    background-image: linear-gradient(to right, #4facfe 0%, #00f2fe 100%);
}

.header {
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    height: 60px;
    width: 497px;
    border-radius: 10px 10px 0 0;
    background-image: radial-gradient(circle 248px at center, #16d9e3 0%, #30c7ec 47%, #46aef7 100%);
    box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
}

.header h3 {
    font-size: 25px;
    font-weight: bold;
    margin: 0 !important;
}

.header img {
    width: 50px;
}

.time-score {
    display: flex;
    justify-content: space-between;
    padding: 20px;
    width: 460px;
    text-shadow: 3px 3px 2px rgba(72, 206, 255, 1);
}

.game-container > h1 {
    font-size: 60px;
    text-shadow: 3px 3px 2px rgba(72, 206, 255, 1);
    margin: 10px;
}

.game-container > button {
    width: 300px;
    height: 50px;
    font-size: 20px;
    padding: 5px;
    border-radius: 5px;
    border: none;
    box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
    background-image: linear-gradient(120deg, #89f7fe 0%, #66a6ff 100%);
}

.game-container > button:hover {
    font-size: 22px;
    background-image: linear-gradient(to right, #4facfe 0%, #00f2fe 100%);
}

.game-container > input {
    font-size: 30px;
    width: 70px;
    padding: 5px;
    text-align: center;
    background-color: transparent;
    outline: none;
    border: none;
    box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
    border-radius: 5px;
}

.number-buttons {
    margin: 20px;
    width: 320px;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
}

.number-buttons button {
    width: 70px;
    height: 70px;
    box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
    border: none;
    font-size: 25px;
    background-image: radial-gradient(circle 248px at center, #16d9e3 0%, #30c7ec 47%, #46aef7 100%);
    margin: 5px;
    cursor: pointer;
    border-radius: 5px;
}

.number-buttons button:hover {
    font-size: 30px;
    background-image: linear-gradient(to right, #4facfe 0%, #00f2fe 100%);
}

.footer button {
    font-size: 20px;
    box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
    border: none;
    width: 120px;
    padding: 5px;
    border-radius: 5px;
    background-image: linear-gradient(120deg, #a1c4fd 0%, #c2e9fb 100%);
    cursor: pointer;
    margin: 20px;
}

.footer button:hover {
    background-image: linear-gradient(to right, #4facfe 0%, #00f2fe 100%);
}

.leaderboard-container > h1 {
    margin: 20px;
    font-size: 35px;
    text-shadow: 3px 3px 2px rgba(72, 206, 255, 1);
}

.leaderboard-header {
    display: flex;
    justify-content: space-between;
    width: 430px;
    padding: 0 15px;
}

.leaderboard-container > h1 {
    margin: 40px;
}

.leaderboard {
    display: flex;
    flex-direction: column;
    align-items: center;
    height: 600px;
    overflow-y: auto;
}

.player {
    display: flex;
    align-items: center;
    width: 400px;
    padding: 20px;
    justify-content: space-evenly;
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
    background-image: linear-gradient(120deg, #a1c4fd 0%, #c2e9fb 100%);
    margin: 5px;
    border-radius: 10px;
}

.player h4 {
    text-align: center;
    width: 310px;
}

.player h4, .player h3 {
    margin: 0 !important;
}

#submit {
    background-image: linear-gradient(to top, #00c6fb 0%, #00c6fb 100%);
}